"use strict";

const path = require("path");

module.exports = function (configPath) {
	let absoluteConfigPath = path.join(__dirname, configPath);

	require('@babel/register')({
		only: [
			(item) => item === absoluteConfigPath,
		],
		presets: [
			"@babel/preset-react",
			["@babel/preset-env", { targets: { node: "current" } }]
		]
	});
	
	return require(configPath);
}
